This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1310551 - Instance network can't work properly when I try to use two nic in one nic
Instance network can't work properly when I try to use two nic in one nic
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-neutron (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Jakub Libosvar
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 03:29 EST by Lee Yang Jae
Modified: 2016-05-19 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 12:04:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This picbure has 3 instance but one instance has two nic. but it can't work both nic in instance (53.68 KB, image/png)
2016-02-22 03:29 EST, Lee Yang Jae
no flags Details
/etc/neutron/plugins/ml2/openvswitch_agent.ini (7.45 KB, text/plain)
2016-03-10 20:00 EST, Lee Yang Jae
no flags Details
/etc/neutron/l3_agent.ini (5.71 KB, text/plain)
2016-03-10 20:01 EST, Lee Yang Jae
no flags Details
3 instance's network pictures (58.86 KB, application/x-7z-compressed)
2016-03-10 20:21 EST, Lee Yang Jae
no flags Details

  None (edit)
Description Lee Yang Jae 2016-02-22 03:29:50 EST
Created attachment 1129182 [details]
This picbure has 3 instance but one instance has two nic. but it can't work both nic in instance

Description of problem: I refered to use existing external network for eth0 by below link

https://www.rdoproject.org/networking/neutron-with-existing-external-network/

and I asked on openstack community page https://ask.openstack.org/en/question/88188/i-would-like-to-use-also-second-nic-as-existing-external-network/

I refered below link to make more external network.

http://dbaxps.blogspot.com/2015/10/multiple-external-networks-with-single.html

one nic per one instance can work.

but no proper answers are not recived from my ask.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Two nic can work properly.

Expected results:

First NIC is down and second nic is available.

Additional info:
Comment 1 Jakub Libosvar 2016-03-10 09:46:11 EST
Can you please paste ovs-agent and l3-agent config files here? What does it mean that your vm with two nic can't work (what exactly doesn't work as you expect)? Can you please also paste routes from within your guest with two nics?
Comment 2 Lee Yang Jae 2016-03-10 20:00 EST
Created attachment 1135070 [details]
/etc/neutron/plugins/ml2/openvswitch_agent.ini
Comment 3 Lee Yang Jae 2016-03-10 20:01 EST
Created attachment 1135071 [details]
/etc/neutron/l3_agent.ini
Comment 4 Lee Yang Jae 2016-03-10 20:21 EST
Created attachment 1135075 [details]
3 instance's network pictures

two interface for external public and external private instance network
Demo-Network1
192.168.100.3,  192.168.15.2
Demo-Network2
192.168.200.3,  172.16.0.3

one interface for external public instance network
Demo-Network1
192.168.100.4,  192.168.15.3

one interface for external private instance network
Demo-Network2
192.168.200.4,  172.16.0.4

192.168.15.0/24 is external public(br-ex) and 172.16.0.0/24 is external private(br-ex2) for openstack
Comment 5 Lee Yang Jae 2016-03-10 20:22:48 EST
192.168.15.254 in the picture is gateway ip
172.16.0.123 in the picture is another computer's private network ip
Comment 6 Lee Yang Jae 2016-03-10 20:24:38 EST
In two interface for external public and external private picture, you can see private ping(172.16.0.123) success but not public ping(192.168.15.254).
Comment 7 Chandan Kumar 2016-05-19 12:04:06 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.